Subject: Re: Proposed 2-letter script code standard

From: [email-masked] (Michael Everson)
Date: Fri, 19 Apr 1996 11:44:19 +0100

At 11:48 1996-04-19, kim kyongsok wrote:
>
>:"Dae-han-min-Gug (or Han-gug in short)", and that of NK is
>:"Jo-seon Min-ju-ju-eui In-min Gong-hwa-gug (or Jo-seon in short?)".
>:The kingdome right before Hangug(SK)/Joseon(NK) was Joseon,
>:which collapsed in 1910 (when, Japan colonized the whole Korea).
>:Therefore, "Korea" seems funny (at least to me).
>:Actually, many Koreans think that the term "Korea" is simply wrong,
>:a misnomer coined by Westerners.
>:(Japan has a similar situation: Japan vs. Nippon.)
>
>:Now, I suggest that "Hg" be used instead of "ko"
>:(which seems an abbreviation of Korean).
>
>i lost the e-mail address of whchoi.
>he preferred Ko to Hg.
>
>Well... In ISO 10646-1, the name is shown as
>Hangul (0x1100 -..., 0xac00-...)
>(I guess he might not have noticed this.)
>
>So...  Hangul is the name used in ISO docs for our script.

In general the script codes were, when possible or sensible, based on the
2-letter language codes as well. Korean language is "ko"; so I used "Ko"
for Hangul. I did the same for the Gurmukhi script ("Pa") used for the
Punjabi language ("pa"). I have used "Hg" for Hiragana anyway.

The country code for North Korea (the Democratic People's Republic of
Korea) is "KP" and the country code for South Korea (the Republic of Korea)
is "KR".

Michael Everson, Everson Gunn Teoranta
15 Port Chaeimhghein Íochtarach; Baile Átha Cliath 2; Éire (Ireland)
Gutháin:  +353 1 478-2597, +353 1 283-9396
http://www.indigo.ie/egt
27 Páirc an Fhéithlinn; Baile an Bhóthair; Co. Átha Cliath; Éire